<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
    <style>
        html, body {
            height: 100%;
            margin: 0;
        }

        #map_canvas {
            height: 90%;
        }
    </style>
</head>
<body>
<script async defer
        src="https://maps.googleapis.com/maps/api/js?key=AIzaSyA4ly3iTSW8w049c9q5KzuRXUKuut9B0Uk&callback=initialize"></script>

Use the right mouse-button to draw an overlay<br/>
<div id="map_canvas"></div>
<script>
    var map;
    var markerArray = [];
    function initialize() {
        var count = 0;
        var myLatLng = {lat: 52.5498783, lng: 13.425209099999961};
        var mapOptions = {
            zoom: 14,
            center: new google.maps.LatLng(52.5498783, 13.425209099999961),
            mapTypeId: google.maps.MapTypeId.ROADMAP
        };
        map = new google.maps.Map(document.getElementById('map_canvas'), mapOptions);
        addMarker();
    }
    function addMarker() {
        var myLatLng = {lat: 52.5498783, lng: 13.425209099999961};
        var marker = new google.maps.Marker({
            position: myLatLng,
            map: map,
            title: 'Hello World!'
        });

        var marker2 = new google.maps.Marker({
            position: myLatLng,
            map: map,
            title: 'Hello World!'
        });
        markerArray.push(marker);
        markerArray.push(marker2);
        countNumberOfMarkerInsidePolygon(markerArray);
    }
    function countNumberOfMarkerInsidePolygon(markerArray) {
        google.maps.event.addDomListener(map.getDiv(), 'mousedown', function (e) {
            //do it with the right mouse-button only
            if (e.button != 2) return;
            //the polygon
            var poly = new google.maps.Polyline({map: map, clickable: false});
            //move-listener
            var move = google.maps.event.addListener(map, 'mousemove', function (e) {
                poly.getPath().push(e.latLng);
            });
            //mouseup-listener
            google.maps.event.addListenerOnce(map, 'mouseup', function (e) {
                google.maps.event.removeListener(move);

                var path = poly.getPath();
                poly.setMap(null);
                poly = new google.maps.Polygon({map: map, path: path});

                /* var resultColor = google.maps.geometry.poly.containsLocation(marker.getPosition(), poly) ? 'green' : 'red';
                 poly.setOptions({ fillColor: resultColor, strokeOpacity: 0.5 });*/
                count = 0;
                for (var m = 0; m < markerArray.length; m++) {
                    var res2 = google.maps.geometry.poly.containsLocation(markerArray[m].getPosition(), poly);
                    if (res2) {
                        count++;
                    }

                }
                console.log("*******************************result******************")
                console.log(count)


            });

        });
    }


</script>

</body>
</html>